[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: FC5: How to run an old binary that wants non-NPTL glibc?



Mikko Huhtala wrote:
> I'm planning to migrate a site of about two dozen desktops from FC3 to
> FC5. One of the apps we use requires LD_ASSUME_KERNEL=2.4.9 on FC3. I
> have been unable to run it on FC5. 

There is a feature of glibc that allows running an app under a completely
different glibc.  This feature is used when testing a new glibc.  Invoke
ld-linux directly and specify "--library-path list:of:directories"  (which
overrides LD_LIBRARY_PATH for this execve only) before the rest of the
command line:
   /path/to/old/glibc/ld-linux.so.2 --library-path /path/to/old/glibc:$LD_LIBRARY_PATH app arg1 ...

See also this web page which contains more explanation and some helper code
to run an "indirect runtime loader":
http://BitWagon.com/rtldi/rtldi.html

-- 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]